v4.7.0pre8
- ADDED: Fuel Efficiency enchantment for jetpacks
- ADDED: Stock Keeper infinite stock option
- ADDED: Stock Keeper matching options
- FIX: Filtered Importer not saving filter
- FIX: Project Bench not pulling evenly from crafting slots
- FIX: Routed pipes only seeing top stack for barrels and deep storage units
- FIX: Items being routed to full inventories
- FIX: IC Gate crash when using 2D wire renderer
- FIX: IC NOT gates not cycling dead sides correctly
- CHANGE: Rebalanced motor power usage
- CHANGE: Rebalanced solar panel power generation

v4.7.0pre7
- ADDED: Project Bench
- ADDED: Auto Crafting Bench
- FIX: Filtered Importer merging unstackable items
- FIX: Lamps blocking mob spawning even when off
- FIX: Crafting tree reporting incorrent missing items
- FIX: Chip settings panels opening in inconvienient places
- CHANGE: Microblocks of inverted lamps will light up
- CHANGE: Crafting chip now extracts up to a stack
- CHANGE: Motors no longer continuously move blocks

v4.7.0pre6
- ADDED: Jetpack particles and models
- ADDED: Crafting Extension chip
- REMOVED: Routing chip upgrade system
- REMOVED: Routed Crafting pipe
- REMOVED: Routed Extension pipe
- FIX: Furnace recipe crash
- FIX: Inteface pipe keeping logic after removing chip
- FIX: Filtered importer destroying items
- FIX: Redstone not connecting to machines properly
- FIX: Analog IC IOs showing incorrect frequency in their guis
- FIX: Teleposer server crash
- CHANGE: Moved crafting logic from crafting pipe to chip
- CHANGE: Crafting chip can now be installed in any Interface pipe
- CHANGE: New routing fx

v4.7.0pre5
- ADDED: Cell gate IC parts
- ADDED: Creative mode IC Chip with instant and free prints
- ADDED: IC Blueprint reset recipe
- ADDED: IC Blueprint copy recipe
- FIX: IC Gates not updating neighbors properly
- FIX: IC Gates not recognizing white signal changes
- FIX: Crash when resource packs change lily textures
- FIX: Container item duplication exploit
- FIX: Rebalanced frame motor electricity use
- FIX: Thermal expansion auto-adding incorrect recipes for electrotine ingots and dusts
- FIX: Solar panels no longer working after 1 day cycle
- FIX: IC Printer not recognizing lever
- FIX: IC Printer crashing because some mod added an invalid recipe
- FIX: IC Printer container shift clicking
- FIX: Dependency auto-downloader trying to use outdated links
- CHANGE: Rewrote Firewall pipe gui
- CHANGE: Rewrote Request pipe gui
- CHANGE: IC Printer can now pull items from adjacent inventories

v4.7.0pre4
- FIX: Server crash when using some IC gates
- CHANGE: Reworked Routing Chip guis

v4.7.0pre3
- ADDED: Teleposer
- ADDED: Frame Motor
- ADDED: Frame Linear Actuator
- ADDED: IC Workbench
- ADDED: IC Printer
- ADDED: Integrated circuit simulation engine
- FIX: Copper and tin harvest levels
- CHANGE: Rebalanced Jetpack
- CHANGE: Rebalanced Copper, Tin, Silver and Electrotine ores

v4.7.0pre2
- ADDED: Charging Bench
- ADDED: Electric screwdriver
- ADDED: Jetpack
- FIX: Stone brick itemstacks with -1 block ID
- FIX: Furnace recipe crash caused by other mods' errors
- CHANGE: Rebalanced Electrotine Generator

v4.7.0pre1
- ADDED: Electrotine power system
- ADDED: Battery
- ADDED: Inductive Furnace
- ADDED: Solar Panel
- ADDED: Low Load Power Cable
- ADDED: Item Barrel
- ADDED: Copper, Tin, Silver, and Electrotine ores
- FIX: Dynamic cracking stone bricks
- FIX: Dynamic Spreading mossy blocks
- FIX: Wire corner connection bug
- FIX: Block placer deploy angles
- FIX: Block placer entity tracing
- FIX: Block placer drops
- FIX: Filtered importer ignoring filter on inventory pull
- FIX: Container shift clicking to single item slot
- FIX: ISidedInventory pathfinding bug for pressure tubes
- FIX: Non-stackable redstone block strips being dropped from redstone pipes
- CHANGE: Made marble caves larger

v4.6.2
- ADDED: Fire Starter
- ADDED: Diamond panel to diamond reset recipe
- ADDED: Config option to erase pipe payload after wandering through a certain number of pipes.
- ADDED: Backpack tooltip for number of used slots
- FIX: Machines not dropping their contents on break
- FIX: Backpacks require white dye on initial craft
- FIX: Signal propagation issues from wires to framed wires
- FIX: Unresponsive and glitchy containers and inventories
- CHANGE: Dyes can now be used to change colour of segment displays
- CHANGE: Machine placement orientation now relies on look angle instead of side clicked

v4.6.1
- ADDED: Block Placer
- ADDED: Filtered Importers
- ADDED: Ability to add colour filters to pressure tubes with wool strips
- FIX: Block Breaker dropping wrong metadata for some blocks
- FIX: Block Breaker not playing sound effects
- FIX: Block Breaker break particles
- FIX: Deviating Lilies rendering dark in world
- CHANGE: World gen rates tweaked slightly
- CHANGE: Tube and machine recipes tweaked slightly
- CHANGE: Item Importers can suck up items that collide on front
- CHANGE: Item Importers can suck up items in 3x3 grid on redstone pulse
- CHANGE: Bonemeal now works on lilies

v4.6.0
- ADDED: Gem Armor
- FIX: Coloured Lights compatibility
- FIX: Recipes with microblocks
- FIX: Chip upgrades not installing
- FIX: Deviating lily farming overall loss
- FIX: Lamps letting sky light through
- FIX: Volcanos with large missing chunks
- FIX: Volcanos' lava not flowing

v4.5.16
- FIX: Requirement of packaged CC API
- FIX: Infinite loop when using bus converter
- FIX: Red alloy wire crash
- FIX: Gameplay exploit

v4.5.15
- FIX: Segment display textures
- FIX: Lamps not updating on placement
- FIX: Array gates not reading dust signal
- CHANGE: Tweaked bus converter algorithm

v4.5.14
- FIX: Flat gate texture crash
- FIX: Attempted fix for crash with tools inside crafting benches
- FIX: Array gates not passing signal to other gates

v4.5.13
- FIX: Updated ComputerCraft compatibility

v4.5.12
- FIX: Thermal Expansion compatibility
- FIX: Lily maturing fully after world reload

v4.5.11
- ADDED: Decoding Randomizer gate
- CHANGE: Randomizer outputs can now be configured
- FIX: Light halos breaking at large world coordinates
- FIX: Rare crash with array gate placement

v4.5.10
- FIX: Crash on world generation
- FIX: Time set on sequencers
- FIX: Sickles not harvesting tall grass
- CHANGE: Enabled tube device inventory export

v4.5.9
- ADDED: Stacking Latch gate
- ADDED: Segment Display gate
- ADDED: Deviating Lily
- ADDED: Config option for minimum timer gate settings
- ADDED: Pressure tubes + Importer machine
- ADDED: Block Breaker
- CHANGE: Complete gate rewrite
- CHANGE: Simplified Extractor chip's glitchy side selection
- FIX: SR Latch stuck state bug
- FIX: Infinite update loop on Bus Input Panel
- FIX: Colored Lights crash
- FIX: Many incorrect/weird gate models
- FIX: Some awkward volcano generation

v4.5.8
- FIX: Sickles harvesting grass blocks
- FIX: Bundled cable crash when moved by frame
- FIX: Decorative blocks having invalid harvest levels

v4.5.7
- CHANGE: Updated ComputerCraft API
- FIX: Computercraft OpenPeripherals crash

v4.5.6
- FIX: Pipe crash

v4.5.5
- FIX: Pipes corrupting item data
- CHANGE: Many recipes now use Ore Dictionary

v4.5.4
- FIX: Cage lamp recipes creating Fallout lights
- FIX: Router Utility server crash
- FIX: Very rare pipe client crash
- FIX: ForgeMultipart auto download
- CHANGE: Drastically reduced network packet size for pipes

v4.5.3
- FIX: Startup crash due to dependencies

v4.5.2
- FIX: Sickles not harvesting correctly
- CHANGE: Various performance optimizations and such

v4.5.1
- ADDED: ColoredLights compatability.
- CHANGE: Lights can now sit on hollow frames
- CHANGE: Framed wires can now connect behind things like lights
- FIX: Ore dictionary recipes for red alloy

v4.5.0
- CHANGE: Removed power requirement for pipe networks
- CHANGE: Removed router controller and CPU
- CHANGE: More efficient path finding for pipes
- FIX: ComputerCraft API crash
- FIX: Ore dictionary glitches
- FIX: Recipe glitches

v4.4.9
- FIX: Server crash
- FIX: Added Red alloy ingot to ore dictionary

v4.4.8
- FIX: Modular dependency on World

v4.4.7
- ADDED: Bus Input Panel gate
- ADDED: Computercraft bundled cable compatability
- ADDED: Creative Routing CPU
- FIX: Stock keepers requesting more than available space
- FIX: Tiles dropping things when they shoudnt

v4.4.6
- ADDED: Bus Converter gate
- ADDED: Router controller and Routing CPU
- CHANGE: Routing networks require a controller and CPU
- FIX: Furnace recipe crash
- FIX: Firewall item filter loading
- FIX: Firewall item blocking request collection
- FIX: Feedback light button crash

v4.4.5
- PORT: Minecraft 1.7.10

v4.4.4
- ADDED: Illumar feedback buttons
- ADDED: Bus randomizer gate
- CHANGE: Slightly more efficient wire propagation
- FIX: Wires loosing connectivity on world reload
- FIX: Unusable text boxes in guis
- FIX: Inventories not closing with inventory hot key
- FIX: Firewall pipe crash

v4.4.3
- FIX: World generation crash

v4.4.2
- FIX: Everything being dark when using shaders
- FIX: Data card inventory crash
- FIX: Router utility upgrade gui crash
- FIX: Version checker parsing

v4.4.1
- FIX: Automatic ForgeMultipart downloads
- FIX: Dependency on NEI
- FIX: Dependency on other modules

v4.4.0
- PORT: Minecraft 1.7.2
- ADDED: Version checking config
- REMOVED: Colored trees (to be replaced)
- FIX: Pipe priority sorting crash
- FIX: Invert cell inventory render
- FIX: Firewall pipe items not being ghosted
- FIX: Recipes with microblocks not checking NBT
- FIX: Pipe crafting crash

v4.3.7
- FIX: Startup crash

v4.3.6
- ADDED: Firewall pipe
- ADDED: Complex routing
- ADDED: Redstone piping
- FIX: Broadcasters using ore dictionary to provide
- FIX: Crash on requesting
- FIX: Rare crash on block render

v4.3.5
- FIX: !! Routing thread eating up all of CPU !!

v4.3.4
- FIX: !! Huge memory leak in pipe routing thread !!
- FIX: Rare crash when removing pipes

v4.3.3
- CHANGE: Backpacks show name in gui
- FIX: Java 6 crash

v4.3.2
- FIX: Bag load/save

v4.3.1
- FIX: No recipes for lights
- FIX: Stock keeper crash
- FIX: Request gui crash
- FIX: ExtraUtils Server crash

v4.3.0
- CHANGE: Made volcanoes slightly more rare
- CHANGE: Crafting pipes can craft multiple items
- FIX: Backpack slots being locked
- FIX: Framed alloy wire connection bug
- FIX: Strange tree growth
- FIX: Routing FX
- FIX: Rare lamp render crash when teleporting
- FIX: Backpacks resetting anvil name
- FIX: Recipe mirroring

v4.2.2
- ADDED: Extension pipe
- ADDED: Config option for backpack blacklist
- ADDED: Routing chip upgrades
- ADDED: Link/unlink router effects
- FIX: Redstone propagation bug on certain surfaces
- FIX: Crash when placing lamps under bedrock

v4.2.1
- ADDED: Upgrade system for routing chips
- CHANGE: Optimized lamp halo render
- CHANGE: Buttons can be inverted with shift-right-click
- FIX: Stone walls torch placement
- FIX: Timers getting stuck on world time shifts
- FIX: Crash with pipes in unloaded chunks
- FIX: Gui textures

v4.2.0
- ADDED: ProjectRed: Mechanical package (beta)
- ADDED: Item routing system (beta)
- FIX: Version Checker spam

v4.1.0
- ADDED: Version checker
- ADDED: Option to turn off light halos
- CHANGE: Lights use torch placement rules
- CHANGE: Stained trees can only generate in overworld (too OP)
- FIX: Stained leaf decay
- FIX: Flatland generation
- FIX: Ore recipe for tools

v4.0.5
- ADDED: Ore Dictionary registration for gems
- FIX: Crash when world is not installed.

v4.0.4
- ADDED: Retroactive world generation
- ADDED: Stained trees
- CHANGE: Alloy smelter removed
- CHANGE: Only gates with torches emit light
- FIX: Toggle latch torches being off on placement

v4.0.3
- ADDED: Fixtures
- ADDED: Config option for moving all rendering to TESR
- ADDED: Gates emit light
- FIX: Many minor bugs

v4.0.2
- ADDED: Walls for world gen blocks
- CHANGE: Ported to Minecraft 1.6.4
- CHANGE: Lights render halos in inventory
- CHANGE: Pointer recipe
- FIX: Server crash
- FIX: Analog signal re-propagation
- FIX: Illumar buttons dropping regular buttons
- FIX: Lights are always off on world load
- FIX: Container shift clicking
- FIX: Gates dont alert wires upon being rotated/configured
- FIX: State cell not saving correctly
- FIX: Bus Transceiver propagation
- FIX: Bus Transceiver lights rendering above the panel
- *FIX: ProjectRed not loading

v4.0.1
- FIX: alloy smelter crash
- FIX: Basalt is now resistant to TNT
- FIX: Red alloy wires output weak signal to neighbors.
- CHANGE: Lighting rewrite
- CHANGE: Updated license
- ADDED: Cage lamps
- ADDED: Compat module
- ADDED: Red Alloy Ingots can be created using using a Tinkers Construct Smeltery
- *FIX: server crash
- *FIX: alloy smelter render
- *FIX: wire debugger crash
- *FIX: diamond saw silicon cutting

v4.0.0
- Initial release


note: a '*' indicates a patch.